Subject: Re: get PID

From: [email-masked]
Date: Fri, 21 May 1999 08:40:08 -0700

Piet Mertens <[email-masked]> asked
< Is there a way to get the PID (process identification number)
< in SWI prolog, as with the getpid() function in C ?
< I need to create unique filenames; I considered tmp_file/2,
< but these files are removed on exit.
< 

I have some non-Prolog worries about this.  If the
files are left behind.... when will they be removed?
I conclude that the user must be told about them.
So these files will be known to the
user of the program.  Perhaps they should be given a
name that make sense.   Perhaps a serial number or
a date/time stamp might help the user more than
a meaningless number.

Hope this helps.